@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

// table
app-table {
  ::ng-deep {
    .app-table-row {
      .app-table-column {
        // set multiple column widths
        @include setMultipleWidths(
          (6.507177033%, 9.473684211%, 19.0430622%, 12.34449761%, 15.02392344%, 11.29186603%, 26.31578947%)
        );

        @include setMultipleMinWidths(
          (64.030622px, 93.22105264px, 187.383732px, 121.4698565px, 147.8354066px, 111.1119617px, 258.9473684px)
        );
      }
    }

    // name header left padding
    .app-table-header {
      .app-table-row {
        .app-table-column {
          &:nth-child(3) {
            @include paddingLeft(47px);
          }
        }
      }
    }
  }
}

// toolkit sn
.app-toolkit-sn {
  @include robotoRegular;
  font-size: 12px;
  line-height: 14px;
  color: $eclipse;
}

// toolkit pin
.app-toolkit-pin {
  @include robotoRegular;
  font-size: 10px;
  line-height: 13px;
  margin-top: 4px;
  color: $suva-grey;

  span {
    color: $eclipse;
  }
}

// not available
.app-toolkit-na {
  @include robotoRegular;
  font-size: 12px;
  line-height: 14px;
  color: $suva-grey;
}

// activity
.app-activity {
  position: relative;

  // link
  .app-link {
    font-size: 10px;
    line-height: 13px;
    margin-top: 4px;
  }
}

app-side-modal-admin-info,
app-side-modal-access-history,
app-side-modal-activity-history,
app-delete-modal {
  position: fixed;
  z-index: 5000;
}

@media (max-width: 767px) {
  // table
  app-table {
    ::ng-deep {
      .app-table-row {
        .app-table-column {
          // set multiple column widths
          @include setMultipleWidths((34%, 33%, 66%, 33%, 34%, 100%));

          @include setMultipleMinWidths((20px, 20px, 20px, 20px, 20px, 20px));

          @include setMultipleOrder((2, 3, 1, 4, 5, 6));
        }
      }
    }
  }
  .app-map {
    position: relative;
  }
  .column-label {
    color: #939393;
    text-transform: uppercase;
    font-size: 11px;
  }
  app-more-options {
    top: -4px;
  }
  app-icon-toolkit-reverse {
    display: flex;
  }
}

@media (min-width: 768px) and (max-width: 1300px) {
  // table
  app-table {
    ::ng-deep {
      .app-table-row {
        .app-table-column {
          @include setMultipleMinWidths((30px, 30px, 60px, 60px, 30px, 50px, 80px));
        }
      }
    }
  }
}
